#include <cstdio>

using namespace std;

int niz[1000005][2];

int main()
{
    int n;
    scanf("%d", &n);
    for(int i = 0; i<n-1; i++)
    {
        scanf("%d %d", &niz[i][0], &niz[i][1]);
    }

    if(n<5)
        printf("1");
    else
        printf("2");

    return 0;
}